need help downgrading to 4.0.2 (Cydia)

Discussion in 'Jailbreaks and iOS Hacks' started by chestvrg, Jan 4, 2011.

  1. chestvrg macrumors 65816

    chestvrg

    Joined:
    Dec 13, 2010
    #1
    I was able to jailbreak my iphone 3gs last night running on 4.2.1 (8C148a) baseband, but everytime I access the Cydia program, it prompts me to downgrade to version 4.0.2 and reads "This device...requires its firmware installations to be verified by Apple before every single restore"

    Correct me if I'm wrong, but If I have to do a restore using iTunes, it means that all my jailbreak and jailbreak apps will be gone and iTunes will reinstall a clean baseband w/o my jailbroken programs?

    does anyone know if I can just download the (.ipsw) 4.0.2 file and install it on my iPhone via redsnow? Please help???
     
  2. maturola macrumors 68040

    maturola

    Joined:
    Oct 29, 2007
    Location:
    Atlanta, GA
    #2
    If you got SHSHs saved for 4.0.2 yes you can downgrade, if you don;t have the SHSHs, all you can do is 4.2.1.



    This is an interesting error I never seen before, can you post a Screenshot?

    What I (personally) would do would be to Backup the phone with itunes, restore to 4.2.1 and re-jailbreak using redsn0w. Do not restore from backup yet, try to use it without the back and see if it works. them restore from backup and try again.
     
  3. chestvrg thread starter macrumors 65816

    chestvrg

    Joined:
    Dec 13, 2010
    #3
    Thank you so much Maturola, how do I post a screenshot can you please guide me to.

    I have installed Cydia b/c is active and running. I even have the winterboard themes installed right now, but I'm afraid that if I have to restore my 3GS it'll go back to un-jailbreak mode.


    Chester - iPhone using Tapatalk
     
  4. maturola, Jan 4, 2011
    Last edited: Jan 4, 2011

    maturola macrumors 68040

    maturola

    Joined:
    Oct 29, 2007
    Location:
    Atlanta, GA
    #4
    I am bit confuse, I think you are omitting some important details here. You said on your OP that Cydia pront you with a error reading " This device...requires its firmware installations to be verified by Apple before every single restore", However you are running Winterboard which let me to believe that Cydia is operational, so at what point does this error is showing up? maybe is that you are trying to install a package that is for 3.x or 4.0.2 ONLY and that is why you are getting such a error.

    You can take a screenshot on the iphone pressing the Home Bottom + Lock/power Bottom at the same time. Then upload the picture to Picsasa, photobucket whatever you use and put the link in here, or you can also email it to yourself (or get it on your computer whatever way you know how) and then upload it as attachment when you post the reply.
     
  5. chestvrg thread starter macrumors 65816

    chestvrg

    Joined:
    Dec 13, 2010
    #5
    Yes Cydia is operating fine is just that I get that msg ok. I was able to take an image and take new ones to actually post for you to see what I'm talking about ok.



    Chester - iPhone using Tapatalk
     
  6. chestvrg thread starter macrumors 65816

    chestvrg

    Joined:
    Dec 13, 2010
  7. chestvrg thread starter macrumors 65816

    chestvrg

    Joined:
    Dec 13, 2010
    #7
    [​IMG]

    Ok here it is the msg.


    Chester - iPhone using Tapatalk
     
  8. maturola, Jan 4, 2011
    Last edited: Jan 5, 2011

    maturola macrumors 68040

    maturola

    Joined:
    Oct 29, 2007
    Location:
    Atlanta, GA
    #8
    I still fail to see where is telling to downgrade to 4.0.2?? :confused:

    All that text is trying to do is giving an overview of what is needed if you need to Downgrade or go to a version that is not currently being sign by Apple (SHSHs process)
     
  9. chestvrg thread starter macrumors 65816

    chestvrg

    Joined:
    Dec 13, 2010
    #9
    I guess I still don't understand how the jailbreak process works. Thank you Maturola for helping me. I still need to find out what is SHSHs.


    Chester - iPhone using Tapatalk
     
  10. noiceT macrumors 6502a

    Joined:
    Jul 7, 2008
    Location:
    Catalina Wine Mixer
    #10
    chestvrg, you are getting confused.

    That button that says, "Upgrading to 4.0.2? Read this" in red is old, and is simply a button that everyone has on their cydia.

    Just ignore it. It's not a prompt, its just a button on the cydia page, that hasn't been updated.
     
  11. chestvrg thread starter macrumors 65816

    chestvrg

    Joined:
    Dec 13, 2010
    #11
    Thank you guys all. So I can consider my 3GS is fully jail broken.


    Chester - iPhone using Tapatalk
     
  12. noiceT macrumors 6502a

    Joined:
    Jul 7, 2008
    Location:
    Catalina Wine Mixer
    #12
    Yes. If you can access the cydia page you're good~
     

Share This Page